﻿namespace Push.YiBin
{
    /// <summary>
    /// 接收数据
    /// </summary>
    public class RecordData : CreationEntity
    {
        /// <summary>
        /// 短信中心短信待发送ID，同短信发送接口返回值ID
        /// </summary>
        public string? Msgid { get; set; }

        /// <summary>
        /// 短信发送时间
        /// </summary>
        public string? Sendtime { get; set; }

        /// <summary>
        /// 发送短信使用的数量
        /// </summary>
        public int? Msgcount { get; set; }

        /// <summary>
        /// 发送状态：0:未发送  1:发送中  2:发送失败  3:发送成功
        /// </summary>
        public int? State { get; set; }

        /// <summary>
        /// 错误消息
        /// </summary>
        public string? Errormsg { get; set; }

        /// <summary>
        /// 短信中心短信已发送ID
        /// </summary>
        public int? Sfid { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>
        public string? Telnumall { get; set; }

        /// <summary>
        /// 短信签名
        /// </summary>
        public string? Sign { get; set; }

        /// <summary>
        /// 回复短信内容
        /// </summary>
        [SugarColumn(ColumnDescription = "短信回复内容", ColumnDataType = "varchar(1000)", IsNullable = true)]
        public string? Msg { get; set; }

        /// <summary>
        /// 回复手机号码
        /// </summary>
        public string? Mobile { get; set; }

        /// <summary>
        /// 短信接收平台号码
        /// </summary>
        public string? Destcode { get; set; }

        /// <summary>
        /// 回复时间
        /// </summary>
        public string? Motime { get; set; }

        /// <summary>
        /// 短信平台回复短信ID
        /// </summary>
        public string? Fsfid { get; set; }
    }
}
